---
schema_version: "1"
id: 2e8fda96117891e49025efd893070e7d2a507784fe2a4294a2965b1df4b832b4
title: Get a Batch of Related List Actions with a Request Body
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_related_list_actions_batch_get.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_related_list_actions_batch_get.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: f9f68fe4a0e89589a29d8c0cbf7f0b1c1a74388d6c419ce8d45256bd2c565164
description: Get the actions on a batch of related lists for a record. This resource uses the POST method so you can enter request parameters in the request body instead using complex URL parameters.
---
# Get a Batch of Related List Actions with a Request Body

Get the actions on a batch of related lists for a record. This resource uses the POST method so you can enter request parameters in the request body instead using complex URL parameters.

Resources

/ui-api/actions/record/${recordIds}/related-list/batch

- recordIds—The 15 or 18 character ID of a record.

Available Version

57.0

HTTP Method

POST

Example

To get information about the actions for the Contacts and Opportunities related lists on an Account record page, use this request with parameters in a request body.

POST /services/data/v68.0/ui-api/actions/record/001R0000003IDlwIAG/related-list/batch

{
  "relatedListsActionParameters":
  \[
    {
      "relatedListId": "Contacts",
      "apiNames": \[ "New" \],
      "retrievalMode": "All"
    },
    {
      "relatedListId": "Opportunities",
      "apiNames": \["New" \],
      "retrievalMode": "All"
    }
  \]
}

Request Parameters

| Parameter Name | Type | Description | Required or Optional | Available Version |
| --- | --- | --- | --- | --- |
| listRecordActionsQuery | [Action Related Lists Batch Input](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_requests_action_related_list_batch_input.htm "Get the actions on a batch of related lists for a record.") | The data for a batch of related list actions. | Optional | 57.0 |

Response Body

[Simplified Batch Results](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_batch_results_simplified.htm "The simplified results from a request to a batch resource. Results include information for each subrequest in the batch.")